=== debian/changelog ===
ros-indigo-cob-light (0.6.12-0trusty) trusty; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-indigo-cob-light (0.6.11-0trusty) trusty; urgency=high

  * Merge remote-tracking branch 'origin/indigo_release_candidate' into indigo_dev
  * Merge pull request #341 <https://github.com/ipa320/cob_driver/issues/341> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-fxm, ipa-uhr-mk

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-indigo-cob-light (0.6.10-0trusty) trusty; urgency=high

  * fixed function return value
  * Contributors: Benjamin Maidel

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 23 Jul 2017 22:00:00 -0000

ros-indigo-cob-light (0.6.9-0trusty) trusty; urgency=high

  * added test script
    added test script
    added test script
    fix
    fix
    fix
    added additional mode to test scripts
    speed up test scripts
  * protect callbacks with scoped locks
  * void function
  * manually fix changelog
  * xmas mode corrections
  * added new lightmode xmas
  * Contributors: Benjamin Maidel, ipa-fxm

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Mon, 17 Jul 2017 22:00:00 -0000

ros-indigo-cob-light (0.6.8-0trusty) trusty; urgency=high

  * return true for stop mode service to avoid ugly error messages on client side
  * fix tab vs spaces
  * at static mode send color to driver on begin of update cylce
  * set freq to default 1.0 if not set by requested mode
  * Contributors: Benjamin Maidel, ipa-fmw, msh

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 09 Oct 2016 22:00:00 -0000

ros-indigo-cob-light (0.6.7-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Fri, 01 Apr 2016 22:00:00 -0000

ros-indigo-cob-light (0.6.6-0trusty) trusty; urgency=high

  * keep static mode running so they can be stopped, paused and resumed
  * fixes
  * comments
  * param tuning
  * implemented new mode glow
  * implemented feature to resume modes if modes with higher prio ends + refactored code
  * considered #241 <https://github.com/ipa320/cob_driver/issues/241> PR comments
  * high distances visualized with a lighter green
  * moved light dist approx function to cob_light driver
  * wip light_approximation
  * Merge branch 'feature/led_offset' into feature/light_approximation
  * fix
  * added node for scan approxiamtion led visualization
  * added param to define led mounting offset
  * fixed ms35 controller bug
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_driver into indigo_dev
    Conflicts:
    cob_light/CMakeLists.txt
  * added headers to add_executable makro for qt_creator visiblity
  * Contributors: Benjamin Maidel, bnm

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-indigo-cob-light (0.6.5-0trusty) trusty; urgency=high



 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-indigo-cob-light (0.6.4-0trusty) trusty; urgency=high

  * boost revision
  * do not install headers in executable-only packages
  * explicit dependency to boost
  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * critically review dependencies
  * Contributors: ipa-fxm

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Mon, 24 Aug 2015 22:00:00 -0000

ros-indigo-cob-light (0.6.3-0trusty) trusty; urgency=high

  * use component namespaces for light, mimic and say
  * make visualization marker frame configurable
  * publish contiuous diagnostics
  * small fixes
  * Merge branch 'feature/newCircleMode' into feature/newSweepMode
    Conflicts:
    cob_light/common/src/modeFactory.cpp
  * added color array msg
  * modified message description
  * added new sweep color mode
  * Merge pull request #190 <https://github.com/ipa320/cob_driver/issues/190> from ipa-bnm/bug/infinit-send-error
    bugfix infinit-send-error
  * Merge branch 'bug/infinit-send-error' into indigo_dev
  * fix stageprofi init
  * check for acknowledge message from controller
  * recover serial connection and driver if there was an error during sending
  * Contributors: Benjamin Maidel, Florian Weisshardt, ipa-fmw

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-indigo-cob-light (0.6.2-0trusty) trusty; urgency=high

  * fix warning message
  * Merge pull request #188 <https://github.com/ipa320/cob_driver/issues/188> from ipa-bnm/feature/newCircleMode
    feature/new-circle-mode and bugfixes
  * Merge branch 'feature/newCircleMode' of https://github.com/ipa-bnm/cob_driver into indigo_new_structure
  * change default frequency and fix breath mode
  * Merge branch 'indigo_dev' of https://github.com/ipa-nhg/cob_driver into ipa-nhg-indigo_dev
  * added circle color mode test script
  * fixed circle color mode
  * implemented new circular mode
  * defined 1Hz startup frecuency
  * frequency corresponds to choosen mode
  * fix
  * removed debug output
  * fixes to stagedriver and some refactoring
  * write stageprofi colors for all dmx channels within one command
  * cleanup
  * queue messages
  * added concurrent queue
  * merge conflict
  * typo fix
  * Tested on cob4-2 for all modes
  * Changes for the LED driver without led numbers
  * Tested on cob4-2
  * Temporary commit for tests
  * CHanges for array of leds
  * Merge branch 'indigo_dev' of https://github.com/ipa320/cob_driver into indigo_dev
    Conflicts:
    cob_light/ros/src/ms35.cpp
  * Removed unecessary debug
  * fix minor compiler warning
  * new line at end of file
  * Changes formatting
  * Support for the StageProfi board on cob_light
  * Contributors: Benjamin Maidel, Florian Weisshardt, bnm, ipa-cob4-2, ipa-fmw, ipa-fxm, ipa-nhg, thiagodefreitas

 -- Benjamin Maidel <bnm@ipa.fhg.de>  Sun, 14 Dec 2014 23:00:00 -0000

ros-indigo-cob-light (0.6.1-0trusty) trusty; urgency=high




